GELF_GETCHDR(3)

NAME
gelf_getchdr - retrieve the class-independent compression header for an ELF section with compressed data.

SYNOPSIS
#include <gelf.h>
GElf_Chdr *gelf_getchdr (Elf_Scn *scn, GElf_Chdr *dest);

DESCRIPTION
Retrieve the class-independent compression header for section scn with compressed data and store it in dest. Sections with compressed data are indicated with the SHF_COMPRESSED flag. See libelf(3) for more information regarding the compression header.

PARAMETERS

scn Section whose compression header will be retrieved. The section's SHF_COMPRESSED flag must be set.

dest
    Pointer to a caller-provided GElf_Chdr structure that will receive the class-independent compression header for scn.

RETURN VALUE
On success, this function returns dest. On failure, it returns NULL and sets elf_errno. If scn is NULL, then NULL is returned and elf_errno is not set.

SEE ALSO
elf32_getchdr(3), elf64_getchdr(3), elf_compress(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.

HISTORY
gelf_getchdr first appeared in elfutils 0.165.